This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1270765 - pygobject3 tests fail after gdk-pixbuf rebase
pygobject3 tests fail after gdk-pixbuf rebase
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pygobject3 (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 06:49 EDT by Vadim Rutkovsky
Modified: 2017-10-03 21:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Rutkovsky 2015-10-12 06:49:40 EDT
Description of problem:
Make check stops at compat_test_pygtk.TestGTKCompat.test_pixbuf_loader after gdk-pixbuf was updated to 2.31.6-3 in rhel7
	

Version-Release number of selected component (if applicable):
pygobject3-3.14.0-3.el7.x86_64
gdk-pixbuf2-2.31.6-3.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run 'make check' in pygobject3 build dir


Actual results:
        test_object (compat_test_pygtk.TestATKCompat) ... ok
	test_alignment (compat_test_pygtk.TestGTKCompat) ... ok
	test_box (compat_test_pygtk.TestGTKCompat) ... ok
	test_buttons (compat_test_pygtk.TestGTKCompat) ... ok
	test_combobox_entry (compat_test_pygtk.TestGTKCompat) ... ok
	test_enums (compat_test_pygtk.TestGTKCompat) ... ok
	test_flags (compat_test_pygtk.TestGTKCompat) ... ok
	test_gdk_window (compat_test_pygtk.TestGTKCompat) ... ok
	test_keysyms (compat_test_pygtk.TestGTKCompat) ... ok
	test_pixbuf (compat_test_pygtk.TestGTKCompat) ... ok
	test_pixbuf_formats (compat_test_pygtk.TestGTKCompat) ... ok
	test_pixbuf_loader (compat_test_pygtk.TestGTKCompat) ... ERROR
	test_size_request (compat_test_pygtk.TestGTKCompat) ... ok
	test_style (compat_test_pygtk.TestGTKCompat) ... ok
	test_error_underline_path (compat_test_pygtk.TestPangoCairoCompat) ... ok
	test_layout (compat_test_pygtk.TestPangoCompat) ... ok
	
	======================================================================
	ERROR: test_pixbuf_loader (compat_test_pygtk.TestGTKCompat)
	----------------------------------------------------------------------
	Traceback (most recent call last):
	  File "/home/test/rpmbuild/BUILD/pygobject-3.14.0/tests/compat_test_pygtk.py", line 147, in test_pixbuf_loader
	    loader.close()
	Error: gdk-pixbuf-error-quark: Premature end-of-file encountered (0)
	
	----------------------------------------------------------------------

Expected results:
All tests pass

Additional info:
All tests pass in gdk-pixbuf2-2.31.6-2.el7
This seems to be caused by https://git.gnome.org/browse/gdk-pixbuf/commit/?id=447bd32650af6be56993c474d3ad64d58cc0a7d2

Note You need to log in before you can comment on or make changes to this bug.